Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MessageReceiver

All Superinterfaces:
  Connectable, Disposable, Initialisable, Lifecycle, MessageSource, Startable, Stoppable

All Known Implementing Classes:
  AbstractMessageReceiver, AbstractPollingMessageReceiver, AjaxMessageReceiver, AxisMessageReceiver, EjbMessageReceiver, ExceptionReturnTcpMessageReceiver, FileMessageReceiver, FtpMessageReceiver, HttpMessageReceiver, HttpsMessageReceiver, IBeansMessageReceiver, JdbcMessageReceiver, JettyHttpMessageReceiver, JmsMessageReceiver, MessageProcessorPollingMessageReceiver, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, PollingHttpMessageReceiver, PollingTcpMessageReceiver, QuartzMessageReceiver, RetrieveMessageReceiver, RmiCallbackMessageReceiver, RmiMessageReceiver, ServletMessageReceiver, SingleJmsMessageReceiver, SslMessageReceiver, StdioMessageReceiver, TcpMessageReceiver, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpMessageReceiver, VMMessageReceiver, WebsphereTransactedJmsMessageReceiver, XaTransactedJmsMessageReceiver, XmppMessageReceiver, XmppPollingMessageReceiver

    public interface MessageReceiver

extends Connectable, MessageSource

`MessageReceiver` is used to receive data from an external system. Typically an implementation of this interface will also implement the listener interface for the external system. For example to listen to a JMS destination the developer would also implement javax.jms.MessageListener. The endpoint (which creates the MessageReceiver) will then register the receiver with the JMS server. Where a listener interface is not availiable the derived `MessageReceiver` will implement the code necessary to receive data from the external system. For example, the file endpoint will poll a specified directory for its data.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`MuleMessage` | `createMuleMessage(Object transportMessage)`
`MuleMessage` | `createMuleMessage(Object transportMessage, String encoding)`
`InboundEndpoint` | `getEndpoint()`
`EndpointURI` | `getEndpointURI()` The endpointUri that this receiver listens on
`FlowConstruct` | `getFlowConstruct()`
`String` | `getReceiverKey()`
`MuleEvent` | `routeMessage(MuleMessage message)`
`MuleEvent` | `routeMessage(MuleMessage message, Transaction trans)`
`MuleEvent` | `routeMessage(MuleMessage message, Transaction trans, OutputStream outputStream)`
`void` | `setEndpoint(InboundEndpoint endpoint)`
`void` | `setReceiverKey(String key)`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Method Detail

### getEndpoint

    InboundEndpoint getEndpoint()

  Returns:
    the endpoint from which we are receiving events

### getFlowConstruct

    FlowConstruct getFlowConstruct()

  Returns:
    the service associated with the receiver

### setEndpoint

    void setEndpoint(InboundEndpoint endpoint)

  Parameters:
    `endpoint` - the endpoint to listen on
  See Also:
    `ImmutableEndpoint`

### getEndpointURI

    EndpointURI getEndpointURI()

  The endpointUri that this receiver listens on

### getReceiverKey

    String getReceiverKey()

### setReceiverKey

    void setReceiverKey(String key)

### routeMessage

    MuleEvent routeMessage(MuleMessage message)
                           throws MuleException

  Throws:
    `MuleException`

### routeMessage

    MuleEvent routeMessage(MuleMessage message,
                           Transaction trans)
                           throws MuleException

  Throws:
    `MuleException`

### routeMessage

    MuleEvent routeMessage(MuleMessage message,
                           Transaction trans,
                           OutputStream outputStream)
                           throws MuleException

  Throws:
    `MuleException`

### createMuleMessage

    MuleMessage createMuleMessage(Object transportMessage,
                                  String encoding)
                                  throws MuleException

  Throws:
    `MuleException`

### createMuleMessage

    MuleMessage createMuleMessage(Object transportMessage)
                                  throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.